Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228529 - possible netinet/in.h typo
Summary: possible netinet/in.h typo
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 16:44 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-18 10:23:58 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-02-13 16:44:47 UTC
I don't know if this is a bug.

On line 132 of /usr/include/netinet/in.h it says:
 typedef uint32_t in_addr_t;

When compiling trickle, compilation fell over on that line, so I changed it to:
 typedef uint32_t;
 typedef in_addr_t;

Reporting it here in case it's a bug. Apologies if it isn't!

Comment 1 David Woodhouse 2007-02-18 10:23:58 UTC
Sounds like a trickle problem. Try including <stdint.h> first. The above change
is definitely wrong.


Note You need to log in before you can comment on or make changes to this bug.